package gov.va.vss.persistence.queryCustomization.fieldTypes.benefitingService;

import gov.va.vss.model.benefitingService.BenefitingServiceRole;
import gov.va.vss.persistence.queryCustomization.fieldTypes.ModelAssociationFieldType;

public enum BenefitingServiceRoleFieldType implements ModelAssociationFieldType {
	BENEFITING_SERVICE("benefitingService"), //
	FACILITY("facility"), //
	TEMPLATE("template");

	private String fieldName;

	private BenefitingServiceRoleFieldType(String fieldName) {
		this.fieldName = fieldName;
	}

	public String getFieldName() {
		return fieldName;
	}

	@Override
	public Class<?> getModelClass() {
		return BenefitingServiceRole.class;
	}

}